Facebook Twitter YouTube Frictional Games | Forum | Privacy Policy | Dev Blog | Dev Wiki | Support | Gametee


Thread Rating:
  • 1 Vote(s) - 5 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Amnesia Modloader - Windows v2.0.0 / Mac v1.6.1
Romulator Offline
Not Tech Support ;-)

Posts: 3,626
Threads: 62
Joined: Jan 2013
Reputation: 195
#21
RE: Amnesia Mod Loader (Release) *Testers wanted*

(08-27-2014, 07:06 AM)Mudbill Wrote: Was Necrologue made to function from a /mods directory? If it says in the resources.cfg file that it needs the path /Necrologue_demo_en/entities for example, then it won't work from /mods/Necrologue_demo_en/entities as far as I know. Even though I'd like to be able to run them from a custom location, that is up to the mod creator to decide (unless I of course manage to create custom resources.cfg files for mods).

The issue is probably with me, but I'd just like to be sure.

Sorry mate, missed this.

No, it was meant to run from the redist (or equivalent on Steam) folder. I had it in a mods directory to keep track of the ones I had downloaded. Forgot to move it back into the redist folder.

I ended up moving it and a few others came up. Starting from 0 (I assume you have an array or similar that starts at a zero index), Necrologue was at position 3.

Spoiler below!
[Image: c56a71e2c4.jpg][Image: 6a982515d4.png][Image: 1cd7e656d5.png]

I also tried running Standards of Hell underneath it to no avail.

Discord: Romulator#0001
[Image: 3f6f01a904.png]
(This post was last modified: 08-28-2014, 07:39 AM by Romulator.)
08-28-2014, 07:38 AM
Find Reply
Mudbill Offline
Muderator

Posts: 3,877
Threads: 59
Joined: Apr 2013
Reputation: 178
#22
RE: Amnesia Mod Loader (Release) *Testers wanted*

Alright, I'll see if I can take a look at this once I get home in a few hours. Thanks.
I'm guessing the issue is still the database.

08-28-2014, 08:26 AM
Find Reply
Mudbill Offline
Muderator

Posts: 3,877
Threads: 59
Joined: Apr 2013
Reputation: 178
#23
RE: Amnesia Mod Loader (Release) *Testers wanted*

Nah, that's only for the mods themselves and isn't even necessary. It's just for adding extra details.

08-30-2014, 01:31 AM
Find Reply
Mudbill Offline
Muderator

Posts: 3,877
Threads: 59
Joined: Apr 2013
Reputation: 178
#24
RE: Amnesia Mod Loader (Java Application)

Okay, so seeing as Amnesia is DRM-free since 1.3 (on Windows at least), I figured it'd be a good time to fix and patch up this thing here. I'm currently re-writing the application in SWT rather than Swing. For those who don't know, Swing is the default Java GUI-set, but it feels weird and runs slowly. SWT is practically native and runs much better.

I'll see how long it'll take me to finish it. This time I can actually test retail launches properly. I don't even need a Steam feature anymore, so it will be completely retail-focused. Daemian also managed to implement the before-mentioned shader feature, although I never packaged it and released the latest version. If I'm lucky, I'll be able to port that as well xP. If not, I might have to ask for assistance again.

Hope this goes well. I'll be implementing a few extra features for usability and optimization.

Edit: Also, as of the 1.2 update, the mod's custom file no longer needs to be named aml.cfg. I realized I would much prefer modloader.cfg, so therefore I've implemented that feature. Don't worry; it's still backwards compatible, so if anyone has added aml.cfg to their mod, they won't need to update anything to have it still work. It only uses modloader.cfg as first priority, then aml.cfg if first is not found.

Edit 2: I've finished mostly all I need for the update, though I'd like to have someone test it before I release it. I'm taking a wild guess that MrBehemoth is fairly busy these days. I'll look for some testers, but if you'd like to be apart of it, you can PM me. Please bear in mind that I'd like someone I have at least heard of, and someone serious who knows how to test. Otherwise, I might change my mind if you give me a good impression. Thanks ^^

(This post was last modified: 02-26-2015, 12:19 AM by Mudbill.)
02-21-2015, 03:07 PM
Find Reply
Mudbill Offline
Muderator

Posts: 3,877
Threads: 59
Joined: Apr 2013
Reputation: 178
#25
RE: Amnesia Modloader (v1.3.2) [UPDATED]

Apologies for the double post. Just want to let everyone know that I've at last updated the Modloader. I'd love for you to check it out! =)

I put a lot of effort into this one and had several test it. I'm very pleased with the current result and I will continue to work on it.

Cheers!

(This post was last modified: 02-28-2015, 02:48 AM by Mudbill.)
02-28-2015, 02:48 AM
Find Reply
CarnivorousJelly Offline
Posting Freak

Posts: 1,196
Threads: 41
Joined: Dec 2012
Reputation: 80
#26
RE: Amnesia Modloader (v1.3.2) [UPDATED]

Oooh nice to see it finally posted here! You've been working on it pretty hard for the last week :D

[Image: quote_by_rueppells_fox-d9ciupp.png]
02-28-2015, 03:23 AM
Find Reply
A.M Team Offline
Banned

Posts: 811
Threads: 63
Joined: Sep 2014
#27
RE: Amnesia Modloader (v1.3.2) [UPDATED]

When I try to open the application, it flashes the loading sprite on my mouse...

[Image: hourglass.gif] Then it doesn't load! Angry I'm really frustrated as I want to try out this new mod loader. Smile
(This post was last modified: 02-28-2015, 09:42 AM by A.M Team.)
02-28-2015, 09:41 AM
Find Reply
Mudbill Offline
Muderator

Posts: 3,877
Threads: 59
Joined: Apr 2013
Reputation: 178
#28
RE: Amnesia Modloader (v1.3.2) [UPDATED]

It probably has to do with Java on your computer. Try to update it/ reinstall. Make sure you get Java 7 or 8 (32 bit).

02-28-2015, 02:05 PM
Find Reply
A.M Team Offline
Banned

Posts: 811
Threads: 63
Joined: Sep 2014
#29
RE: Amnesia Modloader (v1.3.2) [UPDATED]

(02-28-2015, 02:05 PM)Mudbill Wrote: It probably has to do with Java on your computer. Try to update it/ reinstall. Make sure you get Java 7 or 8 (32 bit).

According to my updater on Java, it says that I already have the latest version.
03-01-2015, 05:14 PM
Find Reply
Mudbill Offline
Muderator

Posts: 3,877
Threads: 59
Joined: Apr 2013
Reputation: 178
#30
RE: Amnesia Modloader (v1.3.2) [UPDATED]

What version do you have?

I just tested uninstalling Java. If you only have Java 7, which still is supported by Oracle until April, it will not work. Looks like it requires Java 8. Trying to open it with Java 7 will not prompt you to update (because I set 7 as the minimum version), but it still only loads for 1 second and stops. I'll fix this for the next version an upp it to Java 8.

Just check Control Panel what version you have, then update if you need to.

(This post was last modified: 03-01-2015, 07:55 PM by Mudbill.)
03-01-2015, 06:17 PM
Find Reply




Users browsing this thread: 4 Guest(s)